import java.io.*;
import java.lang.Math;

public class LargestNeighbor
{
    public static int largestZeroNeighbor( int[] n )
    {
        int lastSlot = n.length-1;
        int answer   = -1;
        for (int i = 1; i < lastSlot; i++)
            if ( neighborsZero( n, i ) &&
                 (n[i] > answer)  )
                answer = n[i];
        if ( n[1] == 0 )
            answer = Math.max( answer, n[0] );
        if ( n[lastSlot-1] == 0 )
            answer = Math.max( answer, n[lastSlot] );
        return answer;
    }

    public static boolean neighborsZero( int[] n, int i )
    {
        return (n[i-1] == 0) || (n[i+1] == 0);
    }

    public static void main( String[] args )
    {
        int[] example = { 1, 5, 3, 0, 2, 7, 0, 8, 9, 1, 0 };
        System.out.println( largestZeroNeighbor(example) );
    }
}